﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication643
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("CheckBox", typeof(Boolean));
            for (int i = 0; i < 29; i++)
            {
                dt.Columns.Add(i.ToString());
            }
            for (int i = 0; i < 5; i++)
            {
                dt.Rows.Add(new object[] {false, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, i, });
            }

            ultraGrid1.DataSource = dt;

        }

        private void ultraGrid1_CellChange(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            if (e.Cell.Column.Key == "CheckBox")
            {
                Console.WriteLine(e.Cell.Value);
                switch ((bool)e.Cell.Value)
                {
                    case false:
                        {
                            e.Cell.Row.Activation = Infragistics.Win.UltraWinGrid.Activation.Disabled;
                            e.Cell.IgnoreRowColActivation = true;
                            break;
                        }
                    case true:
                        {
                            e.Cell.Row.Activation = Infragistics.Win.UltraWinGrid.Activation.AllowEdit;
                            break;
                        }
                }
            }

            ultraGrid1.UpdateData();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["CheckBox"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.CheckBox;
        }
    }
}
